%bcond_with base_python

%define python_build_version 3.9
%define __python %{_bindir}/python%{python_build_version}

%if %{with base_python}
%define python_suffix %{expand:%%{lua: str='%{python_build_version}'; print(str:sub(1, 1))}}
%else
%define python_suffix %{expand:%%{lua: str='%{python_build_version}'; print(str:sub(1, 1) .. str:sub(3,-1))}}
%endif

%define pypi_name threadpoolctl

Name: python%{python_suffix}-%{pypi_name}
Version: 3.0.0
Release: 1
License: BSD-3-Clause
Summary: Python Thread-pool Controls
Url: https://github.com/joblib/threadpoolctl
BuildArch: noarch

Source0: https://files.pythonhosted.org/packages/source/t/%{pypi_name}/%{pypi_name}-%{version}.tar.gz

BuildRequires: python%{python_suffix}-devel
BuildRequires: python%{python_suffix}-pip

%description
Python helpers to limit the number of threads used in the 
threadpool-backed of common native libraries used for scientific computing 
and data science (e.g. BLAS and OpenMP).
Fine control of the underlying thread-pool size can be useful in 
workloads that involve nested parallelism so as to mitigate 
oversubscription issues.

%prep

%setup -q -n %{pypi_name}-%{version}

%build
%{__python} -m pip wheel -w dist .

%install
%py_install_wheel %{pypi_name}-%{version}-py3-none-any.whl

sed -i 's|pip|rpm|g' %{buildroot}%{python_sitelib}/*.dist-info/INSTALLER

%files
%defattr(-, qsys, *none)

%license LICENSE

%{python_sitelib}/threadpoolctl*
%{python_sitelib}/__pycache__/*

%changelog
* Fri Dec 10 2021 Abdirahim Musse <abdirahim.musse@ibm.com> - 0.5.3
- Initial spec
